<?php /* for license see README file */ ?>
<html>
<head>
<meta charset="utf-8" />
<style>
body {
  font-family: 'Georgia', 'Arial', 'Helvetica', 'Verdana';
} 
</style>
</head>
<body>
<?php

echo "<p>PHP operator== tests by <a href=\"http://gynvael.coldwind.pl/\">".
     "Gynvael Coldwind</a> (2012).<br />".
     "Generated with PHP version ".phpversion().".</p><hr />\n";

foreach(glob("tests/*.php") as $fn) {
  $bn = basename($fn, ".php");
  $tn = str_replace("_", " ", $bn);

  echo "<h2 id=\"$bn\">$tn</h2><b>Source</b>:<br />\n";
  show_source("$fn");
  echo "<b>Results</b>:<br />\n<pre>";
  // Nasty hack, but I don't really care.
  ob_start();
  $r = eval("namespace $bn;\n" . 
            str_replace("<?php","",file_get_contents($fn)));

  // All OK?
  if($r === FALSE) {
    ob_end_clean();
    $stderr = fopen('php://stderr', 'w');
    fwrite($stderr, "ERROR RUNNING TESTS!\n".
                    "Last test : {$fn}\n");
    fclose($stderr);
    die("Tests terminated due to error.\n");
  }

  flush();
  $s = ob_get_contents();
  ob_end_clean();
  echo str_replace(__FILE__, "TESTS", $s);  
  echo "</pre><hr />\n";
}

