<?php
var_dump(array() == array()); // equal (obviously)

// Standard arrays.
var_dump(
  array(NULL,true,2,3.0,"0.4e1","0x5") 
  ==
  array(0,1,2,3,4,5)
); // equal (since the normal == operator is used everywhere)

// Deeper.
var_dump(
  array(NULL,true,array("a"=>"16")) 
  ==
  array(array(),array("x","y","z"),array("a"=>"0x10"))
); // equal (since the normal == operator is used everywhere)

// Associative.
var_dump(array("10"=>5) == array("0xa"=>5)); // not equal (key strings
                                             // must be exact match)

var_dump(array("5"=>"10") == array("5"=>"0xa")); // equal

