<?php
// Some weird non numeric strings.
var_dump(0.0 == "hello there"); // equal
var_dump(0.0 == ""); // equal

// Numeric strings.
echo "--- numeric strings\n";
var_dump(5.0 == "5");                  // equal
var_dump(5.0 == "0.05e2");             // equal (double supported)
var_dump(5.0 == "      \t\n\r  +5");   // equal (whitespace ignored)
var_dump(5.0 == "5and anything else"); // equal (additional chars ignored)
var_dump(5.0 == "0x5");                // equal (hex supported)

echo "--- out of precission test\n";
var_dump(9223372036854775806.0 == "9223372036854775808.0"); // equal (expected)

// Note: is there any case where STRING->DOUBLE cast would give
// different result than a STRING->LONG->DOUBLE cast? That's quite
// possible.

