<?php
var_dump(1 == 1.0); // equal
var_dump(1 == 2.0); // not equal
var_dump(1 == INF); // not equal
var_dump(1 == NAN); // not equal

// 64-bit PHP only (this matters since the conversion boundary is
// in a different place; so on 32-bit PHP the first operand is
// double)
echo "--- long number vs double\n";
if(is_int(9223372036854775807)) {
  // All are equal. This is over DOUBLE precission, so this is 
  // expected and correct behavior.
  var_dump(9223372036854775807 == 9223372036854775806.0);
  var_dump(9223372036854775807 == 9223372036854775807.0);
  var_dump(9223372036854775807 == 9223372036854775808.0);
} else {
  echo "info: skipping long number tests due to 32-bit PHP\n";
}
