<?php
$f = fopen("php://output", "w");

// Other tests.
var_dump("" == $f);     // not equal
var_dump("asdf" == $f); // not equal

// Let's get a textual description of the resource, extract
// the resource id as long, and compare it.
// Note: Alternative way would be to do (int)$f.
echo "--- compare with exact resource id\n";
var_dump($f); // resource(5) of type (stream)
var_dump((string)$f); // "Resource id #5"
list($id) = sscanf((string)$f, "Resource id #%s");
var_dump($id);

var_dump($id == $f); // equal
var_dump("      +{$id}e0" == $f); // equal

echo "--- close, compare again\n";
fclose($f);
var_dump($id == $f); // equal
var_dump("      +{$id}e0" == $f); // equal

