<?php
echo "--- long vs strange strings\n";
var_dump(0 == "any nonparsable string is equal to zero"); // equal
var_dump(5 == "5");                  // equal
var_dump(5 == "0.05e2");             // equal (double supported)
var_dump(5 == "      \t\n\r  +5");   // equal (whitespace ignored)
var_dump(5 == "5and anything else"); // equal (additional chars ignored)
var_dump(5 == "0x5");                // equal (hex supported)

// 64-bit PHP only (this matters since the conversion boundary is
// in a different place; so on 32-bit PHP the first operand is
// double)
echo "--- long number vs long number in a string\n";
if(is_int(9223372036854775807)) {
  var_dump(9223372036854775807 == "9223372036854775806"); // not eq (== LONG)
  var_dump(9223372036854775807 == "9223372036854775807"); // eq     (== LONG)
  var_dump(9223372036854775807 == "9223372036854775808"); // eq     (== DOUBLE)
} else {
  echo "info: skipping long number tests due to 32-bit PHP\n";
}

